### Struct

# Ide ThreadPool

#### Description

    struct IdeThreadPool {
      /* No available fields */
    }

No description available.

#### Functions

###### ide_thread_pool_push

Runs the callback on the thread pool thread.

Available since: 3.32

###### ide_thread_pool_push_task

This pushes a task to be executed on a worker thread based on the task kind as denoted by `kind`. Some tasks will be placed on special work queues or throttled based on priority.

Available since: 3.32

###### ide_thread_pool_push_with_priority

Runs the callback on the thread pool thread.

Available since: 3.32